Opened 16 years ago

Closed 15 years ago

Last modified 15 years ago

#3798 closed defect (fixed)

BUG: gtk-sharp install fails w/ "sqlucode.h: No such file or directory"

Reported by: bportmann@… Owned by: cjr@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: markd@…
Port:

Description

I tried to install gtk-sharp on a clean darwinports install and it failed with:

in file included from gda-odbc-provider.c:28: gda-odbc.h:34:22: sqlucode.h: No such file or directory make[2]: * [gda-odbc-provider.lo] Error 1 make[1]: * [all-recursive] Error 1 make: * [all-recursive] Error 1

I have a pretty standard system setup so it should not be hard to reproduce the error. I'm not sure if you want more of the error messages, if so let me know and I will add more.

Thanks

PS I would have liked to add gtk-sharp on top of a gnome build but that failed on gnome-utils (I see that others are finding this one as well, a bug report is needed). And I tried emacs-x11 and while it builds, it does not work. So I'm running 0/3 with Darwinports:-( OK, end of rant, sorry about that, but its pretty frustrating.

Change History (11)

comment:1 Changed 16 years ago by tsmtmp@…

I had the same problem, installing unixODBC before libgda solved it for me...

comment:2 Changed 16 years ago by bportmann@…

(In reply to comment #1)

I had the same problem, installing unixODBC before libgda solved it for me...

Thanks, that worked for me as well. I guess they need to update the dependencies.

Bob

comment:3 Changed 16 years ago by blb@…

Owner: changed from darwinports-bugs@… to cjr@…

Assigning to maintainer (which may be incorrect if libgda is the culprit).

comment:4 Changed 15 years ago by mww@…

Summary: gtk-sharp install fails w/ "sqlucode.h: No such file or directory"BUG: gtk-sharp install fails w/ "sqlucode.h: No such file or directory"

comment:5 Changed 15 years ago by cjr@…

Alas I cannot get the requisite bits of GNOME built on my box, so can't even start building gtk-sharp right now :-((

comment:6 Changed 15 years ago by cjr@…

dependson: 5131

comment:7 Changed 15 years ago by bportmann@…

(In reply to comment #4)

Alas I cannot get the requisite bits of GNOME built on my box, so can't even

start building gtk-sharp right

now :-((

I'm not surprised. I was not able to build all of Gnome, but at the time was able to get just enough so that gtk-sharp would build. Given the very low success rates I've had with nearly all darwinports ports I've tried, and the recent update of the Gnome bits, I've fugured there was a very small chance that Gnome would build these days.

comment:8 Changed 15 years ago by markd@…

Cc: markd@… added

Gnome is in much better shape now. I installed gtk-sharp with no problems on 10.4.5. Can this bug be closed?

comment:9 Changed 15 years ago by markd@…

Resolution: fixed
Status: newclosed

comment:10 Changed 15 years ago by cjr@…

(In reply to comment #6)

Gnome is in much better shape now. I installed gtk-sharp with no problems on 10.4.5. Can this bug be closed?

OK, thanks Mark.

comment:11 Changed 15 years ago by bportmann@…

(In reply to comment #6)

Gnome is in much better shape now. I installed gtk-sharp with no problems on 10.4.5. Can this bug be closed?

OK, this is good to know. I've switched to Fink for Gnome and Mono (which is working fine) but may try DP again in the future.

Thanks

Note: See TracTickets for help on using tickets.